# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# We don't really need ExtUtils::MakeMaker ≥ 6.30
%global old_eumm %(perl -MExtUtils::MakeMaker -e 'print (($ExtUtils::MakeMaker::VERSION < 6.30) ? 1 : 0);' 2>/dev/null || echo 0)

Name:		perl-Test-EOL
Version:	1.5
Release:	1.%{__distinit}%{__distvers}
Summary:	Check the correct line endings in your project
Group:		Development/Libraries
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/Test-EOL/
Source0:	http://search.cpan.org/CPAN/authors/id/B/BO/BOBTFISH/Test-EOL-%{version}.tar.gz
Patch0:		Test-EOL-1.0-old-EU::MM.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(Cwd)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(File::Temp)
BuildRequires:	perl(Pod::Coverage::TrustPod)
BuildRequires:	perl(Test::Builder)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::NoTabs)
BuildRequires:	perl(Test::Pod)
BuildRequires:	perl(Test::Pod::Coverage)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
This module scans your project/distribution for any perl files (scripts,
modules, etc.) with Windows line endings. It can also check for trailing
whitespace.

%prep
%setup -q -n Test-EOL-%{version}

# We don't really need ExtUtils::MakeMaker ≥ 6.30
%if %{old_eumm}
%patch0 -p1
%endif

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
%{_fixperms} %{buildroot}

%check
make test RELEASE_TESTING=1

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::EOL.3pm*

%changelog
* Sun Sep  9 2012 Paul Howarth <paul@city-fan.org> - 1.5-1
- Update to 1.5
  - Properly fix Win32 (CPAN RT#76037)
  - Change default to searching for trailing whitespace from the current
    directory downwards (as tests are run from the top of a dist normally),
    rather than one directory above the test file, as then we don't work as
    expected if tests are in t/author or similar
- BR: perl(File::Temp), needed by test suite

* Sun Jul  8 2012 Paul Howarth <paul@city-fan.org> - 1.3-2
- Perl 5.16 rebuild

* Sun Jun 17 2012 Paul Howarth <paul@city-fan.org> - 1.3-1
- Update to 1.3
  - Fix to ignore inc/ directory used by Module::Install

* Fri Jun 15 2012 Paul Howarth <paul@city-fan.org> - 1.2-1
- Update to 1.2
  - Fix bad regex matching directories containing 'svn', not just '.svn'
    directories (CPAN RT#75968)
- BR: perl(Cwd)
- Drop non-dual-lived buildreqs perl(File::Find) and perl(FindBin)
- This release by BOBTFISH -> update source URL
- Remove tabs from bundled Module::Install that break release tests
- Don't need to remove empty directories from the buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT

* Mon Jan 16 2012 Paul Howarth <paul@city-fan.org> - 1.1-1
- Update to 1.1
  - Fix test fails on < 5.8 perls
  - Fix t/13-latin1.t failures on Win32 and under TB1.5
- Add buildreqs for required core modules, which might be dual-lived

* Thu Jan  5 2012 Paul Howarth <paul@city-fan.org> - 1.0-1
- Update to 1.0
  - Fix misleading test failure diagnostics when only issue is trailing
    whitespace
  - No longer blindly assume utf8 on input files (CPAN RT#59877)
  - Properly document testing options
- This release by RIBASUSHI -> update source URL
- Drop upstreamed patch for CPAN RT#59877
- Update patch for building with old ExtUtils::MakeMaker versions

* Sat Jul  2 2011 Paul Howarth <paul@city-fan.org> - 0.9-4
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Mon Oct 18 2010 Paul Howarth <paul@city-fan.org> - 0.9-3
- Don't assume tested files are UTF-8 encoded (CPAN RT#59877)

* Thu Jun 24 2010 Paul Howarth <paul@city-fan.org> - 0.9-2
- Rebuild for perl 5.12.1 in Rawhide

* Wed Jun 16 2010 Paul Howarth <paul@city-fan.org> - 0.9-1
- Update to 0.9 (fix warnings on very old perls - CPAN RT#58442)
- Patch for CPAN RT#58442 upstreamed

* Wed Jun 16 2010 Paul Howarth <paul@city-fan.org> - 0.8-1
- Initial RPM version
